Bug 126557 - RFE: Updated resolv.conf man page fixes errors and provides simpler descriptions (attached)
RFE: Updated resolv.conf man page fixes errors and provides simpler descripti...
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 04:11 EDT by Mike MacCana
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 1.67
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 15:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for resolver man page that uses modern system administration practices and plain language (5.50 KB, text/plain)
2004-06-23 04:13 EDT, Mike MacCana
no flags Details

  None (edit)
Description Mike MacCana 2004-06-23 04:11:14 EDT
Description of problem:
The current man page for resolv.conf is ancient. Its written in 
unnecessary jargon "The resolver is a set of routines in the C library
(resolve(3)) that provide access to the Internet Domain Name System."
and contains, among othr things, this gem:

"On a normally configured system, this file should not be necessary. 
The only name server to be queried will be on the local machine"

That's right, the 'average' box should be running a DNS server. This
might have been okay in 1993 but it isn't now.

How reproducible:
Always

Steps to Reproduce:
1.man resolv.conf
  
Actual results:
I'm told I should set up a DNS server on my machine instead of running
a client. And the page takes a long time to make it apparent that the
resolver is a DNS client. This has to be one of the most unmaintained
pages around. 

Expected results:
I should be told, simply, how to set up a DNS client.

Additional info:
So here's a fixed version, written in plain language, to reflect more
modern system administration practices as used in Red Hat (and most
other systems).
Comment 1 Mike MacCana 2004-06-23 04:13:04 EDT
Created attachment 101354 [details]
Patch for resolver man page that uses modern system administration practices and plain language
Comment 2 Suzanne Hillman 2004-06-24 16:59:21 EDT
Internal RFE bug #126696 entered; will be considered for future releases.
Comment 3 Suzanne Hillman 2004-07-07 10:50:36 EDT
Please also send this to the upstream maintainer, as it may need to be
translated into additional languages than the one provided.
Comment 4 Eido Inoue 2004-08-20 14:30:05 EDT
patch does not apply cleanly to man-pages 1.67. While some of the
language in resolv.conf is changed (including the filename), such as
"On a normally configured system, this file should not be necessary",
there are many other changes that will require resyncronization/re-edit.

Will instead patch to remove above phrase and leave the rest as-is.
Comment 5 Eido Inoue 2004-08-20 14:32:45 EDT
Changing component to the resolver.5 man page (referenced from man
page for resolv.conf)

Note You need to log in before you can comment on or make changes to this bug.